typedef long sptime;

/*
 * Shadow password security file structure.
 */

struct spwd {
	char *sp_namp;		/* login name */
	char *sp_pwdp;		/* encrypted password */
	sptime sp_lstchg;	/* date of last change */
	sptime sp_min;		/* minimum number of days between changes */
	sptime sp_max;		/* maximum number of days between changes */
	sptime sp_warn;		/* number of days of warning before password
						   expires */
	sptime sp_inact;	/* number of days after password expires
				   until the account becomes unusable. */
	sptime sp_expire;	/* days since 1/1/70 until account expires */
	unsigned long sp_flag;	/* reserved for future use */
};

/*
 * Shadow password security file functions.
 */

#include <stdio.h>				/* for FILE */

struct spwd *getspent(void);
struct spwd *sgetspent(const char *);
struct spwd *fgetspent(FILE *);
void setspent(void);
void endspent(void);
int putspent(const struct spwd *, FILE *);
struct spwd *getspnam(const char *name);
struct spwd *getspuid(uid_t uid);

#define  SHADOW_FILE	"/etc/shadow"
#define  GSHADOW_FILE	"/etc/gshadow"
